<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
// This file is included from functions.php. It will be loaded only when the wp_head action is called from WordPress.

if ( ! function_exists( 'absolute_weaver_generate_wphead' ) ) {    /* Allow child to override this */
	function absolute_weaver_generate_wphead() {
		/* this guy does ALL the work for generating theme look - it writes out the over-rides to the standard style.css */

		global $post;

		if ( is_object( $post ) ) {
			absolute_weaver_set_cur_page_id( get_the_ID() );
		}    // we're on a page now, so set the post id for the rest of the session
		else {
			absolute_weaver_set_cur_page_id( 0 );
		}    // no page

		printf( "<!-- %s %s %s --> ", esc_html( ABSOLUTE_WEAVER_THEMENAME ), esc_html( ABSOLUTE_WEAVER_VERSION ),
			 esc_html( absolute_weaver_getopt('themename' ) ) );


		do_action( 'absolute_weaver_plus_show_version' );

		do_action( 'absolute_weaver_head_opts');        // extra head options

		echo( "\n<!-- End of Absolute Weaver options -->\n" );
	}
}
