<?php
/**
 * The template for displaying the search form
 *
 */
?>

	<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
		<label>
			<span class="screen-reader-text"><?php esc_html_e( 'Search for:', 'absolute-weaver' ); ?></span>
			<input type="search" class="search-field" placeholder="<?php esc_attr_e( 'Search for:', 'absolute-weaver' ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>" name="s"/>
		</label>
		<button type="submit" class="search-submit"><span class="genericon genericon-search"></span></button>
	</form>


