<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 * The Left Sidebar.
 */

function absolute_weaver_sidebar_left( ) {
	$l_area = 'l-sb-left';

	if ( absolute_weaver_getopt( 'primary_smartmargin' ) || absolute_weaver_getopt( 'secondary_smartmargin' ) ) {
		$l_area .= '-rm';
	}

	$wrap = '<div class="' . $l_area . ' s-full m-full">';

	$p_class = 'l-full m-half-rm ' . absolute_weaver_area_class( 'primary', 'pad', '', 'margin-bottom' );
	$s_class = 'l-full m-half-lm ' . absolute_weaver_area_class( 'secondary', 'pad', '', 'margin-bottom' );

	if ( absolute_weaver_has_widgetarea( 'primary-widget-area' ) ) {

		absolute_weaver_echo_sanitized_html( $wrap );       // keep the two areas vertical no matter what the content height

		if ( absolute_weaver_has_widgetarea( 'secondary-widget-area' ) ) {  // both top and bottom
			absolute_weaver_put_widgetarea( 'primary-widget-area', $p_class );
			absolute_weaver_put_widgetarea( 'secondary-widget-area', $s_class );
		} else {                                                // top only
			$p_class = str_replace( 'm-half-rm', 'm-full', $p_class );
			absolute_weaver_put_widgetarea( 'primary-widget-area', $p_class );
		}
		echo '</div>';
	} else {

		if ( absolute_weaver_has_widgetarea( 'secondary-widget-area' ) ) {  // bottom only
			$s_class = str_replace( 'm-half-lm', 'm-full', $s_class );
			absolute_weaver_echo_sanitized_html( $wrap );
			absolute_weaver_put_widgetarea( 'secondary-widget-area', $s_class );
		} else {
			absolute_weaver_echo_sanitized_html( $wrap );
			absolute_weaver_no_sidebars( $p_class );
		}
		echo '</div>';
	}
}
absolute_weaver_sidebar_left( );

