<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 * The Left Split Sidebar if on top
 *
 * @since Absolute Weaver 1.0
 */

function absolute_weaver_sidebar_split_top( ) {
	$l_area_left = 'l-sb-left-split-top';

	if ( absolute_weaver_getopt( 'primary_smartmargin' ) || absolute_weaver_getopt( 'secondary_smartmargin' ) ) {
		$l_area_left .= '-rm';
	}

	$class = $l_area_left . ' m-full s-full ' . absolute_weaver_area_class( 'primary', 'pad', '', 'margin-bottom' );

	if ( absolute_weaver_has_widgetarea( 'primary-widget-area' ) ) {
		absolute_weaver_put_widgetarea( 'primary-widget-area', $class );
	} elseif ( ! absolute_weaver_has_widgetarea( 'secondary-widget-area' ) ) {
		absolute_weaver_no_sidebars( $class );
	}
}

absolute_weaver_sidebar_split_top();

