<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 * The Right Split Sidebar.
 *
 */

function absolute_weaver_sidebar_split( ) {
	$l_area_left = 'l-sb-left-split';
	$l_area_right = 'l-sb-right-split';

	if ( absolute_weaver_getopt( 'primary_smartmargin' ) || absolute_weaver_getopt( 'secondary_smartmargin' ) ) {
		$l_area_left .= '-rm';
		$l_area_right .= '-lm';
	}

	$p_class = $l_area_left . ' m-half-rm s-full ' . absolute_weaver_area_class( 'primary', 'pad', '', 'margin-bottom' );

	$s_class = $l_area_right . ' m-half-lm s-full ' . absolute_weaver_area_class( 'secondary', 'pad', '', 'margin-bottom' );

	if ( absolute_weaver_has_widgetarea( 'primary-widget-area' ) ) {

		if ( absolute_weaver_has_widgetarea( 'secondary-widget-area' ) ) {  // both top and bottom

			absolute_weaver_put_widgetarea( 'primary-widget-area', $p_class );    // show default top

			absolute_weaver_put_widgetarea( 'secondary-widget-area', $s_class );

			absolute_weaver_clear_both( 'secondary-widget-area' );

		} else {                                                // top only
			absolute_weaver_put_widgetarea( 'primary-widget-area', $p_class );
			absolute_weaver_clear_both( 'primary-widget-area' );

		}


	} else {

		if ( absolute_weaver_has_widgetarea( 'secondary-widget-area' ) ) {  // bottom only

			$s_class = $l_area_right . ' m-full s-full sb-float-right ' . absolute_weaver_area_class( 'secondary', 'pad', '', 'margin-bottom' );
			absolute_weaver_put_widgetarea( 'secondary-widget-area', $s_class );

		} else {
			absolute_weaver_no_sidebars( $p_class );
		}
		absolute_weaver_clear_both( 'secondary-widget-area' );
	}
}
absolute_weaver_sidebar_split();

