<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 * The template used for displaying page content in page.php
 *
 * @package WordPress
 * @subpackage Weaver X
 * @since Absolute Weaver 1.0
 */

absolute_weaver_fi( 'page', 'post-pre' );
$pclass = 'content-page';
$cols = absolute_weaver_getopt( 'page_cols' );
if ( $cols != '' && $cols != '1' ) {
	$pclass .= " cols-{$cols}";
}
?>
	<article id="post-<?php the_ID(); ?>" <?php post_class( $pclass ); ?>>
		<?php absolute_weaver_page_title(); ?>
		<div class="entry-content clearfix">

			<?php
			absolute_weaver_the_page_content( 'page' );
			absolute_weaver_link_pages();    // <!--nextpage-->

			absolute_weaver_edit_link(); ?>
		</div><!-- .entry-content -->

	</article><!-- #post-<?php the_ID(); ?> -->
<?php



