<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 * The template for displaying content in the single.php template
 *
 * @package WordPress
 * @subpackage Weaver X
 * @since Absolute Weaver 1.0
 */

absolute_weaver_per_post_style();

absolute_weaver_fi( 'post', 'post-pre' );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'content-single post-content ' . absolute_weaver_post_class( true ) ); ?>>
	<?php absolute_weaver_single_title( '' );
	absolute_weaver_post_div( 'content' );
	absolute_weaver_the_post_full_single();
	absolute_weaver_link_pages();    // <!--nextpage-->
	?>
	</div><!-- .entry-content -->

	<footer class="entry-utility entry-author-info">
		<?php
		absolute_weaver_post_bottom_info( 'single' );
		absolute_weaver_author_info();
		?>

	</footer><!-- .entry-utility -->
</article><!-- #post-<?php the_ID(); ?> -->

