<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * @package WordPress
 * @subpackage absolute-weaver
 */

if ( has_nav_menu( 'header-mini' ) ) {

	$class = absolute_weaver_menu_class( 'm_header_mini' );

	echo "\n<div id=\"nav-header-mini\" class=\"menu-horizontal " . esc_attr( $class ) . "\">\n";
	$args = array(
		'fallback_cb'     => '',
		'theme_location'  => 'header-mini',
		'menu_class'      => 'wvrx-header-mini-menu',
		'container'       => 'div',
		'container_class' => ''
	);

	wp_nav_menu( $args ) ;

	absolute_weaver_clear_both( 'header-mini' );
	echo "\n</div><!-- /#nav-header-mini -->\n";
	absolute_weaver_clear_both( 'nav-header-mini' );
}

