<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 * /**
 *    Action: Support for Woo Commerece for Weaver
 *
 */

function absolute_weaver_woo_support( ) {

	remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10 );
	remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10 );
	add_action( 'woocommerce_before_main_content', 'absolute_weaver_woo_wrapper_start_action', 10 );
	add_action( 'woocommerce_after_main_content', 'absolute_weaver_woo_wrapper_end_action', 10 );

	function absolute_weaver_woo_wrapper_start_action() {
		echo '<div id="container" class="container"><div id="content" class="weaver-woo" role="main">';
	}


	function absolute_weaver_woo_wrapper_end_action() {
		echo '</div></div> <!-- end weaver-woo -->';
	}

	add_theme_support( 'woocommerce' );
	add_theme_support( 'wc-product-gallery-zoom' );
	add_theme_support( 'wc-product-gallery-lightbox' );
	add_theme_support( 'wc-product-gallery-slider' );
}

absolute_weaver_woo_support();

