/* *********************************************************************************
 * Absolute Weaver Smartmenus support script
 *
 * Author: WeaverTheme - www.weavertheme.com
 * @version 1.0
 * @license GNU Lesser General Public License, http://www.gnu.org/copyleft/lesser.html
 * @author  Bruce Wampler
 *
 * Notes - this library requires jQuery to be loaded, as well as the smartmenu js library.
 * This script MUST be loaded at the end of so that the menu items are there to fixup
 *
 */

jQuery('#nav-primary .weaverx-theme-menu').smartmenus( {subIndicatorsText:'',subMenusMinWidth:'1em',subMenusMaxWidth:'25em'} );
jQuery('#nav-primary span.wvrx-menu-button').click(function () {
	var $this = jQuery(this), $menu = jQuery('#nav-primary ul');
	if (!$this.hasClass('collapsed')) {
		$menu.addClass('collapsed');
		$this.addClass('collapsed mobile-menu-closed');
		$this.removeClass('mobile-menu-open');
	} else {
		$menu.removeClass('collapsed');
		$this.removeClass('collapsed mobile-menu-closed');
		$this.addClass('mobile-menu-open');
	}
	return false;
}).click()
