<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 * Template Name: For Your Page Builder Plugin
 *
 */

function absolute_weaver_paget_page_builder( ) {

	$post_idw = get_the_ID();

	$sb_layout = absolute_weaver_page_lead( 'page-builder' );

// generate page content for Elementor
// function absolute_weaver_is_built_with_elementor( $post_id ) {
//	return ! ! get_post_meta( $post_id, '_elementor_edit_mode', true );
// }

// Page Builders detection
// $is_elementor = ! ! get_post_meta( $post_id, '_elementor_edit_mode', true );
// $is_siteorigin = ! ! get_post_meta( $post_id, 'panels_data', true );

	$is_elementor = ! ! get_post_meta( $post_idw, '_elementor_edit_mode', true );
	if ( $is_elementor ) {
		do_action( 'elementor/page_templates/canvas/before_content' );
	}

	while ( have_posts() ) :
		the_post();
		get_template_part( 'template-parts/content', 'builder' );    // treat these like pages
		//the_content();
	endwhile;

	if ( $is_elementor ) {
		do_action( 'elementor/page_templates/canvas/after_content' );
	}

	absolute_weaver_page_tail( 'page-builder', $sb_layout );    // end of page wrap
}

absolute_weaver_paget_page_builder();

