<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 * The Right Sidebar.
 */

function absolute_weaver_sidebar_right( ) {
	$l_area = 'l-sb-right';

	if ( absolute_weaver_getopt( 'primary_smartmargin' ) || absolute_weaver_getopt( 'secondary_smartmargin' ) ) {
		$l_area .= '-lm';
	}

	$p_class = $l_area . ' m-full s-full ' . absolute_weaver_area_class( 'primary', 'pad', '', 'margin-bottom' );
	$s_class = $l_area . ' m-full s-full sb-float-right ' . absolute_weaver_area_class( 'secondary', 'pad', '', 'margin-bottom' );


	if ( absolute_weaver_has_widgetarea( 'primary-widget-area' ) ) {

		if ( absolute_weaver_has_widgetarea( 'secondary-widget-area' ) ) {  // both top and bottom
			$p_class = 'm-half-rm ' . $p_class;
			$s_class = 'm-half-lm ' . $s_class;

			absolute_weaver_put_widgetarea( 'primary-widget-area', $p_class );    // show default primary widget area ( upper )
			absolute_weaver_put_widgetarea( 'secondary-widget-area', $s_class );
			absolute_weaver_clear_both( 'secondary-widget-area' );

		} else { // top only
			$p_class = 'm-full s-full ' . $p_class;
			absolute_weaver_put_widgetarea( 'primary-widget-area', $p_class );
		}

	} else {

		if ( absolute_weaver_has_widgetarea( 'secondary-widget-area' ) ) {  // bottom only
			$s_class = 'm-full s-full ' . $s_class;
			absolute_weaver_put_widgetarea( 'secondary-widget-area', $s_class );
			absolute_weaver_clear_both( 'secondary-widget-area' );

		} else {
			absolute_weaver_no_sidebars( $l_area . ' m-full s-full margin-bottom pad' );
		}
	}
}
absolute_weaver_sidebar_right( );


